<%- include ('../components/header/header') %>
<body class="d-flex flex-column h-100">
<div class="container">
    <%- include ('../components/header/nav') %>
    <h1><%= user.name + ' ' + user.surname + ' as ' + user.username %></h1>
    <div class="container">
        <div class="row">
            <h6>Contact: <%= user.email %></h6>
            <h2>Recipes of <%= user.username %>:</h2>
            <div class="container-fluid">
                <div class="row recipes-grid">
                    <div class="grid-sizer col-sm-12 col-md-6 col-lg-3 "></div>
                    <%
                    for (let i = recipes.length; i > 0; i--) {
                        recipe = recipes[i-1]
                    if (!recipe.isPrivate || recipe.isPrivate && userId === recipe.userId.toString()) {
                    %>
                        <%# IDE has a problem with syntax but it works ¯\_(ツ)_/¯ %>
                        <%- include('../components/content/recipe-mini', {recipe: recipe}) %>
                    <%
                    }
                    }
                    %>
                </div>
            </div>
        </div>
    </div>
</div>
<%- include ('../components/footer/footer') %>
</body>
</html>